# Copyright (c) 2017, InfluxFrameworkand Contributors
# License: GNU General Public License v3. See license.txt


import influxframework

from influxerp.setup.install import create_default_cash_flow_mapper_templates


def execute():
	influxframework.reload_doc("accounts", "doctype", influxframework.scrub("Cash Flow Mapping"))
	influxframework.reload_doc("accounts", "doctype", influxframework.scrub("Cash Flow Mapper"))
	influxframework.reload_doc("accounts", "doctype", influxframework.scrub("Cash Flow Mapping Template Details"))

	create_default_cash_flow_mapper_templates()
